#include "temp.hpp"
#include "lcd.hpp"
#include "motor.hpp"
#include "noise.hpp"
#include "logic.hpp"
#include "oxygen.hpp"

void setup(void) {

  Serial.begin(9600);
  lcdSetup();  
  tempSetup();
  motorSetup();
  noiseSetup();
}

static int CState = stStart;

void loop(void) {

 CState = Work( CState );
 tempGet( );
 noiseListen( );
 lcdInfo( CState, iAutoClose, tempDif, celsius,  oxCo, noiseLock, tempLock );
}
