#include <Arduino.h>
#include "oxygen.hpp"
#include "logic.hpp"

int oxCo = 0; 

void oxStore( int state )
{
 static unsigned long Time = 0;
 static short State = 0;

 int TimeD = (millis() - Time)/1000;
 short st = (state & stOpen)? 1: ( (state & stClose)? -1: 0 );
 
 if( st != State  )
  Time = millis();
 else
 if( TimeD > 0 )
 {
  oxCo -= TimeD * st;
  if( oxCo < 0 )
   oxCo = 0;
  Time = millis();
 }

 State = st;
}


bool needVent( void )
{ return oxCo > (60*60-toVent); }

void oxClear( void )
{ oxCo = 0; }
